Bug 257739 - mail/fetchmail: mail/fetchmailconf: Update to 6.4.21
Summary: mail/fetchmail: mail/fetchmailconf: Update to 6.4.21
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guangyuan Yang
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-10 13:51 UTC by Corey Halpin
Modified: 2021-08-12 08:32 UTC (History)
1 user (show)

See Also:
ygy: merge-quarterly+


Attachments
Proposed patch (918 bytes, patch)
2021-08-10 13:51 UTC, Corey Halpin
chalpin: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Corey Halpin 2021-08-10 13:51:00 UTC
Created attachment 227082 [details]
Proposed patch

The attached updates mail/fetchmail and mail/fetchmailconf to 6.4.21. It passes `poudirere testport` and the built package works in my testing.
Comment 1 Guangyuan Yang freebsd_committer 2021-08-10 20:16:42 UTC
(In reply to Corey Halpin from comment #0)

You seem to have forgotten the patch for mail/fetchmailconf :)
Comment 2 Corey Halpin 2021-08-10 20:20:06 UTC
mail/fetchmailconf is a slave port. It inherits its version from `fetchmail` without needing to be explicitly patched on its own.
Comment 3 Guangyuan Yang freebsd_committer 2021-08-10 20:20:42 UTC
(In reply to Corey Halpin from comment #2)

My apologies. Thanks for the clarification!
Comment 4 commit-hook freebsd_committer 2021-08-10 20:47:07 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=b2dcb60ae55efbb8f3ae5971e27fd6e4094a03f4

commit b2dcb60ae55efbb8f3ae5971e27fd6e4094a03f4
Author:     Corey Halpin <chalpin@cs.wisc.edu>
AuthorDate: 2021-08-10 20:46:34 +0000
Commit:     Guangyuan Yang <ygy@FreeBSD.org>
CommitDate: 2021-08-10 20:46:34 +0000

    mail/fetchmail: Update to 6.4.21

    PR:             257739

 mail/fetchmail/Makefile | 2 +-
 mail/fetchmail/distinfo | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)
Comment 5 Guangyuan Yang freebsd_committer 2021-08-10 20:48:24 UTC
Committed, thanks!
Comment 6 Guangyuan Yang freebsd_committer 2021-08-11 02:10:13 UTC
After reading the notice on the website:

NEWS: FETCHMAIL 6.4.21 RELEASE
On 2021-08-09, fetchmail 6.4.21 has been released (click this link to download, or to see recent changes). It fixes a regression introduced with 6.4.20's fix for security bug CVE-2021-36386, see the link under SECURITY ALERTS below for details. The security announcement there has been updated.

I believe that this version needs MFH, hence reopening this PR.
Comment 7 Corey Halpin 2021-08-11 11:51:41 UTC
I agree that MFH is appropriate for this update.
Comment 8 commit-hook freebsd_committer 2021-08-12 08:31:14 UTC
A commit in branch 2021Q3 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=5bfe080ec7fe826552184bdf64af50b12bb150bd

commit 5bfe080ec7fe826552184bdf64af50b12bb150bd
Author:     Corey Halpin <chalpin@cs.wisc.edu>
AuthorDate: 2021-08-10 20:46:34 +0000
Commit:     Guangyuan Yang <ygy@FreeBSD.org>
CommitDate: 2021-08-12 08:28:41 +0000

    mail/fetchmail: Update to 6.4.21

    This version is a bugfix one for a regression, so MFH.

    PR:             257739

    (cherry picked from commit b2dcb60ae55efbb8f3ae5971e27fd6e4094a03f4)

 mail/fetchmail/Makefile | 2 +-
 mail/fetchmail/distinfo | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)